Bug Tracker – Bug 1301

Compatibility options are not enforced to clients by servers

Last modified: 2020-01-14 12:28:10 UTC
Bug 1301 - Compatibility options are not enforced to clients by servers
Summary: Compatibility options are not enforced to clients by servers
Status: NEW
Alias: None
Product: Odamex
Classification: Unclassified
Component: Server & Client (show other bugs)
Version: 0.8.x
Hardware: All Other
: P5 major
Assignee: Odamex Bug Reporter
URL:
Depends on:
Blocks:
 
Reported: 2019-12-22 22:20 UTC by HeX_Vulture
Modified: 2020-01-14 12:28 UTC (History)
1 user (show)

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description HeX_Vulture 2019-12-22 22:20:37 UTC
You can join a server and change your local compatibility settings while in a server. An example is to join a server that has co_realactorheight enabled, and then go into your compatibility menu and change "Items can be walked over/under" to off. You will still go through things (like bridge things) but the client will jerk back and forth as if it is fighting the server.
Comment 1 Maëllig Desmottes 2020-01-14 12:28:10 UTC
An improvement would be to check whether the player has rcon privileges before toggling any of these options. Otherwise, the player doesn't have the right to locally modify these in multiplayer.